<script>
	export default {
		globalData: {
			// url: 'http://192.168.3.4:9301/crest',
			// imgUrl: 'https://192.168.3.4:9301/filesystem/',
			//正式
			// url: 'https://pay.dctpay.com/crest',
			// imgUrl: 'https://gratia-pay.obs.cn-southwest-2.myhuaweicloud.com',
			// redirectUrl:'https://pay.dctpay.com/cweb',
			// hsgUrl:'https://hsg.dctpay.com',
			//测试
			url: 'https://gratia-pay.dctpay.com/crest',
			imgUrl: 'https://gratia-pay-test.obs.cn-east-3.myhuaweicloud.com',
			redirectUrl:'https://gratia-pay.dctpay.com/cweb',
			hsgUrl:'https://hsgcs.dctpay.com',
			userInfo: "",
			openId: '',
			h5code: '',
			token: '',
			//行业id
			businessid: '',
			//行业名称
			businessname: '',
			//mccid
			mccid: '',
			//mcc名称
			mccname: '',
			//数据字典类型数据
			Dictionaries: '',
			//开户支行名称
			depositaryBank: '',
			//开户行号
			branchBankNo: '',
			//清算行号
			clearNo: '',
			//开户行地区
			bankareaCode: '',
			//接收方编号
			receiverNo: '',
			//接收方名称
			receiverName: '',
			//门店地址信息
			storeAddress: '',
			accountId:'',
			urlKey:'',
			urlCode:'',
		},
		onLaunch: function() {
			/* let that = this;
			uni.getStorage({
				key: 'payuser',
				success: (res) => {
					that.globalData.userInfo = res.data;
					uni.getStorage({
						key: "paytoken",
						success: (res) => {
							that.globalData.token = res.data;
						}
					})

				}
			}); */
		},
		onShow: function() {
			this.globalData.Dictionaries =uni.getStorageSync("Dictionaries")|| '';
			this.globalData.userInfo = uni.getStorageSync("payuser") || '';
			this.globalData.token = uni.getStorageSync("paytoken") || '';
			this.globalData.openId = uni.getStorageSync("openId") || '';
			
			this.globalData.accountId = uni.getStorageSync("accountId") || '';
			this.globalData.urlKey = uni.getStorageSync("urlKey") || '';
			this.globalData.urlCode = uni.getStorageSync("urlCode") || '';
		},
		onHide: function() {}
	}
</script>

<style lang="scss">
	/*每个页面公共css */
	@import "/static/iconfont/font.scss";

	::-webkit-scrollbar {
		display: none;
		width: 0 !important;
		height: 0 !important;
		-webkit-appearance: none;
		background: transparent;
	}
</style>